Subject: Re: bug#56820: outline-minor-mode replacing the first character with an arrow

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Jul 2022 14:03:19 +0300

> From: Yilkal Argaw <[email-masked]>
> Date: Fri, 29 Jul 2022 13:39:28 +0300
> 
> Today I compiled emacs from source and while using outline-minor-mode
> it started replacing the first character with an arrow whenever I fold
> the code. The characters remain  as arrows even when I disable outline
> minor mode. To recreate the issue
> 
>    + emacs -q
>    + open a source code file (I opened ruby,  python and elisp files)
>    + outline-minor-mode
>    + M-: (set outline-minor-mode-cycle t)
>    + (outline-minor-mode-cycle-buffer)
> 

You should be able to get back the old behavior by customizing
outline-minor-mode-use-buttons to the nil value.

P.S. Please don't cross post bug reports to emacs-devel.